; 
;       w m _ rptrt
;
; C68 library routine to do WM_RPTRT
;
; Equivalent to C routine:
;
;   int wm_prpos (wwork *work, timeout_t t, unsigned short evnt);

        .text
        .even

	.globl    __wm_rptrt

WM.RPTR  equ    $78

SAVEREG equ 12+4                 ; size of saved registers + return address

__wm_rptrt:	
	movem.l	d2/d3/a4,-(sp)
        move.l  SAVEREG(sp),a4		; working def
	moveq	#$78,d0			; vector
	move.w	SAVEREG+4(sp),d3	; timeout
	move.w	SAVEREG+6(sp),d2	; event 
	move.w  d0,a0                   ; save vector offset
        jsr     __wm_chkv               ; Check we know WMAN vector
        bmi     nowman                  ; ... NO, exit 
        jsr     0(a0,d0.l)              ; ... YES, call vector
	tst.l	d0
	bmi	nowman
	move.l	a0,d0	
nowman:
        movem.l  (sp)+,d2/d3/a4
        rts
	end
